Subject: Re: [bug#48440] [PATCH] gnu: guix: Update to 97d615b.
From: Christopher Baines <[email-masked]>
To: Christopher Baines <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Sat, 22 May 2021 09:33:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Baines <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hi,
>>
>> Christopher Baines <[email-masked]> skribis:
>>
>>> * gnu/packages/package-management.scm (guix): Update to 97d615b.
>>
>> In general LGTM if you’ve checked that it builds fine :-) and that
>> ‘./pre-inst-env guix build -S guix --check’ passes (to avoid mistakes
>> such as wrong hash).
>>
>> Out of curiosity, what was the motivation?
>
> I want the guix package to include the inferior package replacement
> change [1], so that I can start using it in the Guix Data Service.
>
> 1: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=97d615b1761c2054561057f6b56e2a0caed13aa4
>
> I filed the patch because I couldn't get it to build locally, and I was
> wondering if it was something specific to my machine. I think this was a
> bad theory though, I'm guessing something has broken with the challenge
> test so that it just hangs.

I'm guessing this broken test was fixed just after I sent this email (in
[2]), so I've gone ahead and updated the Guix package now [3].

2: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=0471024acce5f760ac147326c06343c9c68ad3d1
3: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=fbabf0bec61c88755d6dd238717a356ca3a20b80